"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmptyObject = exports.isObject = exports.isDef = exports.isEmpty = void 0;
function isEmpty(value) {
    return value == null;
}
exports.isEmpty = isEmpty;
function isDef(x) {
    return x !== undefined && x !== null;
}
exports.isDef = isDef;
function isObject(value) {
    return Object.prototype.toString.call(value) === '[object Object]';
}
exports.isObject = isObject;
function isEmptyObject(value) {
    if (!isObject(value)) {
        return false;
    }
    const keys = Object.keys(value);
    return keys.length === 0;
}
exports.isEmptyObject = isEmptyObject;
