export type Query = Record<string, string | boolean>;
interface ResolveResult {
    originalFilePath: string;
    rawQuery?: string;
    query: Query;
}
export declare const resolvePathAndQuery: (originalPath: string) => ResolveResult;
export declare function isStyleExt(path: string): boolean;
export declare function isJsExt(path: string): boolean;
export declare function isJsLoader(loader?: string): boolean;
export declare function isTsExt(path: string): boolean;
export declare function isTsLoader(loader?: string): boolean;
export {};
